# $Revision: 1.55 $, $Date: 2005/06/02 23:52:40 $
#
# Conditional build:
%bcond_without	md5sum	# don't check md5sum for antivirus database (useful
			# when doing ./builder -g -nc )
# TODO:
# - exctact mksupdate.sh configuration variables to external file,
#   e.g. /etc/sysconfig/mksupdate
# - handle mksupdate_en.sh
# - handle logs
#
Summary:	An anti-virus utility for Unix
Summary(pl):	Antywirusowe narzdzie dla Uniksw
Name:		mks
Version:	1.9.6
Release:	6
License:	This program will be for free till the end of year 2004 (see licence.txt)
Group:		Applications
Source0:	http://download.mks.com.pl/download/linux/mks32-Linux-i386-%(echo %{version} | tr . -).tgz
# Source0-md5:	6d8cfa09835d9856aac92c0d26645336
Source1:	%{name}-vir.cfg
# link to source tgz is inside http://download.mks.com.pl/download/linux/bazy.link
Source2:	http://80.72.33.122/download/linux/bazy4.tgz
# Source2-md5:	031fd6a6e0648c0e2479215dc58de7f6
Source3:	bazy4.tgz.md5sum
# http://download.mks.com.pl/download/linux/mksupdate.sh
Source4:	%{name}update.sh
Source5:	http://download.mks.com.pl/download/linux/mksLinux-contrib.tgz
# Source5-md5:	d73d2ef861b3fddbe4f6dbe60a0a43d1
Source6:	%{name}-cron-updatedb
URL:		http://linux.mks.com.pl/
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MKS Antivirus is anti-virus scanner for Unix.

%description -l pl
MKS jest skanerem antywirusowym dla systemw uniksowych.

%package bases
Summary:	Mks Antivirus databases
Summary(pl):	Bazy antywirusowe MKS
Group:		Applications

%description bases
This package contains antivirus databases from 2004/04/10. You shuld
use some automagic script for updating bases, as new worms are being
born. You can use for this %{name}-updater.

%description bases -l pl
Pakiet ten zawiera bazy antywirusowe z dnia 2004/04/10. Naley uywa
jakich automagicznych skryptw do aktualizacji baz, gdy wci
pojawiaj si nowe wirusy. Uy do tego moesz %{name}-updater. 

%package updater
Summary:	Mks Antivirus database updater
Summary(pl):	Aktualizator baz antywirusowych MKS
Group:		Applications
Requires:	/usr/bin/wget
Requires:	bc
Requires:	coreutils

%description updater
This package contains antivirus databases updater and an appropriate
crontab entry.

%description updater -l pl
Pakiet ten zawiera aktualizator baz antywirusowych oraz odpowiedni wpis
do crontaba.

%prep
cd %{_sourcedir}
%{?with_md5sum: md5sum -c bazy4.tgz.md5sum}
cd -

%setup -q -c -a2 -a5
mv mks*/* ./

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_var}/lib/%{name}/tmp,%{_sysconfdir}/cron.d,%{_bindir},%{_sbindir}}

install %{SOURCE1}	$RPM_BUILD_ROOT%{_sysconfdir}/mks_vir.cfg
install mks32.static	$RPM_BUILD_ROOT%{_bindir}/mks32
install bazy4/*.dat	$RPM_BUILD_ROOT%{_var}/lib/%{name}
install %{SOURCE4}	$RPM_BUILD_ROOT%{_bindir}
install %{SOURCE6}	$RPM_BUILD_ROOT%{_sbindir}/mksvir-cron-updatedb

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}
5 * * * *	root	%{_sbindir}/mksvir-cron-updatedb
EOF

mv CONTRIB/CHANGE1.TXT .
mv CONTRIB/postfix1.htm .
mv CONTRIB/postfix2.txt .
mv CONTRIB/postfix3.txt .
mv CONTRIB/readme.txt .
mv CONTRIB/2002 CONTRIB.2002
rm -rf CONTRIB
mv CONTRIB.2002 CONTRIB

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE1.TXT postfix1.htm postfix2.txt postfix3.txt readme.txt CONTRIB licencja.txt licence.txt
%attr(755,root,root) %{_bindir}/mks32
%attr(755,root,root) %dir %{_var}/lib/%{name}
%attr(755,root,root) %dir %{_var}/lib/%{name}/tmp
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/mks_vir.cfg

%files bases
%defattr(644,root,root,755)
%verify(not md5 size mtime) %{_var}/lib/%{name}/mksbase?.dat

%files updater
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mksupdate.sh
%attr(755,root,root) %{_sbindir}/mksvir-cron-updatedb
%attr(640,root,root) %{_sysconfdir}/cron.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mks.spec,v $
Revision 1.55  2005/06/02 23:52:40  ankry
- rel. 6

Revision 1.54  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.53  2005/04/17 11:35:20  tommat
- added amd64 to ExclusiveArch, works fine on AMD64

Revision 1.52  2004/09/09 22:53:31  havner
- rel 5

Revision 1.51  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.50  2004/07/28 15:28:33  gotar
- release 4; rebuild with new cron stuff; there's no bazy4.tgz since 12.07

Revision 1.49  2004/06/21 12:42:00  gotar
- added %{_var}/lib/%{name}/tmp directory,
- one more TODO.

Revision 1.48  2004/06/21 12:18:06  gotar
- updated bases, updated link (download.mks.com.pl resolves to different
  sites!),
- sitched to mks updater (previous script hasn't worked since Apr 29!),
- updater R: coreutils,
- added TODO, release 3.

Revision 1.47  2004/04/20 10:47:55  arekm
- rel 2; fixed update script (after mks changed things on their web page)

Revision 1.46  2004/04/13 10:54:58  ankry
- formatting, other cosmetics, better pl

Revision 1.45  2004/04/10 22:16:38  hunter
-up to 1.9.6
-new antivires bases(2004/04/10)

Revision 1.44  2004/04/10 19:10:25  hunter
-corrected Requires: (mks does not really need wget & bc, -updater does).

Revision 1.43  2004/02/15 00:15:46  eothane
- bcond style, changelog cleanups

Revision 1.42  2004/01/16 15:07:27  matkor
- Rel. 3. Applied mksvir-update.no-lynx.patch to mksvir.

Revision 1.41  2004/01/15 12:00:41  ankry
- spaces -> tabs

Revision 1.40  2004/01/15 11:53:34  matkor
- Rel. 2. update.no-lynx.patch is back. Pointed out by Dariusz Karolczak.

Revision 1.39  2004/01/06 17:03:52  arekm
- be nicer for df

Revision 1.38  2004/01/06 16:18:52  arekm
- updated to 1.9.5 (free up to end of 2004 year)

Revision 1.37  2003/12/04 10:16:54  matkor
- Once again. Version 1.9.3. Release 3. (previous two commits ware abolutely bogus).

Revision 1.34  2003/11/07 14:14:10  inglod
- mksvir-update not required lynx

Revision 1.33  2003/11/03 20:57:20  arekm
- install cron script

Revision 1.32  2003/11/03 20:54:33  arekm
- new cron script for updating db

Revision 1.31  2003/09/23 16:36:00  arekm
- run db update once per 6 hours

Revision 1.30  2003/08/28 21:37:09  blues
- cosmetics

Revision 1.29  2003/08/19 15:23:59  areq
- 1.9.2

Revision 1.28  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/07/29 08:58:49  qboosh
- removed junk

Revision 1.26  2003/07/29 08:03:21  jasio
- Small fix License field

Revision 1.25  2003/07/29 07:57:41  jasio
- Release 2
- Updated License field
- This version is for Ra and nest
- STBR

Revision 1.24  2003/07/26 03:42:05  hunter
- separate updater package
- updater RQ:/usr/bin/lynx

Revision 1.23  2003/07/25 12:42:15  blues
- few cleanups

Revision 1.22  2003/07/22 10:50:18  areq
- 1.9.1

Revision 1.21  2003/07/04 18:48:55  areq
- 1.9.0

Revision 1.20  2003/06/26 15:04:58  areq
- url Source0 back

Revision 1.19  2003/06/26 15:03:47  areq
- # Source0 URL

Revision 1.18  2003/06/26 15:00:25  areq
- 1.7.6

Revision 1.17  2003/06/25 19:11:12  areq
- 1.7.5
- bazy 2003-06-25

Revision 1.16  2003/06/13 09:23:40  qboosh
- don't mess inside SOURCES dir, some cleanups

Revision 1.15  2003/06/12 11:44:28  jasio
- added mksLinux-contrib pack with documentation
- updated md5sum for sources
- changes in install and doc section

Revision 1.14  2003/06/12 10:47:36  jasio
- update to version 1-7-4

Revision 1.13  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 20:25:41  hunter
- adapterized
- separated antivirus bases
- cron entry
- requires wget
- ExclusiveArch ix86 (probably i386 is not supported)

Revision 1.10  2003/05/05 12:14:20  areq
- 1.7.0

Revision 1.9  2003/03/08 20:41:45  areq
- 1.5.9
- new format virus database (bazy3)
- update mksvir-update

Revision 1.8  2003/02/23 22:58:05  areq
- 1.5.8

Revision 1.7  2002/11/22 15:19:04  areq
- check md5sum bazy2.tgz in %prep

Revision 1.6  2002/11/22 14:23:13  areq
- 1.5.6, STBR

Revision 1.5  2002/11/20 12:19:38  areq
- 1.5.5

Revision 1.4  2002/11/19 09:25:48  areq
- 1.5.4

Revision 1.3  2002/11/15 19:18:14  areq
- 1.5.3

Revision 1.2  2002/10/31 14:03:25  blues
- release 2 - add update scipt for mks

Revision 1.1  2002/10/20 20:14:42  areq
- init PLD spec
